//set up the array of products
const products = [
  { name: 'Sed finibus ipsum', 
    description: 'Sed eget nibh ultrices, tempor justo quis, varius tellus', 
    price: 59.99,
    brand: 'Duis aute',
    size: 'M',
    color: 'Orange',
    style: 'Formal',
    rating: '5',
    id: '1'},
    
  { name: 'Lorem ipsum dolor', 
    description: 'Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit', 
    price: 29.99,
    brand: 'Interdum et',
    size: 'S',
    color: 'Red',
    style: 'Casual',
    rating: '4',
    id: '2',
    discount: 0.1 },

  { name: 'Consectetur adipiscing elit', 
    description: 'Sed eget nibh ultrices, tempor justo quis, varius tellus', 
    price: 49.99,
    brand: 'Interdum et',
    size: 'M',
    color: 'Blue',
    style: 'Formal',
    rating: '5',
    id: '3',},

  { name: 'Sed do eiusmod tempor', 
    description: 'Nullam placerat massa et felis imperdiet, ac pellentesque dolor consectetur',
    price: 19.99,
    brand: 'Interdum et',
    size: 'L',
    color: 'Yellow',
    style: 'Classic',
    rating: '3',
    id: '4',
    discount: 0.15 },

  { name: 'Incididunt ut labore', 
    description: 'Mauris et massa ultrices ante venenatis facilisis at nec sem',
    price: 39.99,
    brand: 'Interdum et',
    size: 'S',
    color: 'Green',
    style: 'Casual',
    rating: '4',
    id: '5',},

  { name: 'Ut enim ad', 
    description: 'Mauris tempus lorem et metus faucibus, quis consequat est consequat',
    price: 59.99, 
    brand: 'Interdum et',
    size: 'M',
    color: 'Purple',
    style: 'Formal',
    rating: '2', 
    id: '6',
    discount: 0.12 },

  { name: 'Quis nostrud exercitation', 
    description: `Curabitur feugiat erat sed mauris rhoncus scelerisque`,
    price: 24.99,
    brand: 'Interdum et',
    size: 'L',
    color: 'Orange',
    style: 'Classic',
    rating: '3',
    id: '7' },

  { name: 'In varius risus', 
    description: 'Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit', 
    price: 39.99,
    brand: 'Duis aute',
    size: 'S',
    color: 'Purple',
    style: 'Classic',
    rating: '4',
    id: '8',
    discount: 0.1 },

  { name: 'Vestibulum malesuada', 
    description: 'Nullam placerat massa et felis imperdiet, ac pellentesque dolor consectetur',
    price: 29.99,
    brand: `Duis aute`,
    size: 'L',
    color: 'Green',
    style: 'Casual',
    rating: `3`, 
    id: '9',
    discount: 0.15 },

  { name: 'Proin tincidunt magna', 
    description: 'Mauris et massa ultrices ante venenatis facilisis at nec sem',
    price: 49.99,
    brand: `Duis aute`,
    size: 'S',
    color: 'Yellow',
    style: 'Formal',
    rating: `4`,
    id: '10', },

  { name: 'Aliquam fermentum', 
    description: 'Mauris tempus lorem et metus faucibus, quis consequat est consequat',
    price: 59.99, 
    brand: 'Duis aute',
    size: 'M',
    color: 'Red',
    style: 'Formal',
    rating: 2, 
    id: '11',
    discount: 0.12 },

  { name: 'Quis nostrud exercitation', 
    description: `Curabitur feugiat erat sed mauris rhoncus scelerisque`,
    price: 34.99,
    brand: 'Duis aute',
    size: 'L',
    color: 'Blue',
    style: 'Classic',
    rating: 3,
    id: '12'},

  { name: 'Sed finibus ipsum', 
    description: 'Sed eget nibh ultrices, tempor justo quis, varius tellus', 
    price: 59.99,
    brand: 'Duis aute',
    size: 'M',
    color: 'Orange',
    style: 'Formal',
    id: '13',
    rating: '5'},
    
  { name: 'Lorem ipsum dolor', 
    description: 'Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit', 
    price: 29.99,
    brand: 'Interdum et',
    size: 'S',
    color: 'Red',
    style: 'Casual',
    rating: '4', 
    id: '14',
    discount: 0.1 },

  { name: 'Consectetur adipiscing elit', 
    description: 'Sed eget nibh ultrices, tempor justo quis, varius tellus', 
    price: 49.99,
    brand: 'Interdum et',
    size: 'M',
    color: 'Blue',
    style: 'Formal',
    id: '15',
    rating: '5'},

  { name: 'Sed do eiusmod tempor', 
    description: 'Nullam placerat massa et felis imperdiet, ac pellentesque dolor consectetur',
    price: 19.99,
    brand: 'Interdum et',
    size: 'L',
    color: 'Yellow',
    style: 'Classic',
    rating: '3', 
    id: '16',
    discount: 0.15 },

  { name: 'Incididunt ut labore', 
    description: 'Mauris et massa ultrices ante venenatis facilisis at nec sem',
    price: 39.99,
    brand: 'Interdum et',
    size: 'S',
    color: 'Green',
    style: 'Casual',
    id: '17',
    rating: '4'},

  { name: 'Ut enim ad', 
    description: 'Mauris tempus lorem et metus faucibus, quis consequat est consequat',
    price: 59.99, 
    brand: 'Interdum et',
    size: 'M',
    color: 'Purple',
    style: 'Formal',
    rating: '2', 
    id: '18',
    discount: 0.12 },

  { name: 'Quis nostrud exercitation', 
    description: `Curabitur feugiat erat sed mauris rhoncus scelerisque`,
    price: 24.99,
    brand: 'Interdum et',
    size: 'L',
    color: 'Orange',
    style: 'Classic',
    id: '19',
    rating: '3'},

  { name: 'In varius risus', 
    description: 'Neque porro quisquam est qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit', 
    price: 39.99,
    brand: 'Duis aute',
    size: 'S',
    color: 'Purple',
    style: 'Classic',
    rating: '4', 
    id: '20',
    discount: 0.1 },

  { name: 'Vestibulum malesuada', 
    description: 'Nullam placerat massa et felis imperdiet, ac pellentesque dolor consectetur',
    price: 29.99,
    brand: `Duis aute`,
    size: 'L',
    color: 'Green',
    style: 'Casual',
    rating: `3`,
    id: '21',
    discount: 0.15 },

  { name: 'Proin tincidunt magna', 
    description: 'Mauris et massa ultrices ante venenatis facilisis at nec sem',
    price: 49.99,
    brand: `Duis aute`,
    size: 'S',
    color: 'Yellow',
    style: 'Formal',
    id: '22',
    rating: `4`},

  { name: 'Aliquam fermentum', 
    description: 'Mauris tempus lorem et metus faucibus, quis consequat est consequat',
    price: 59.99, 
    brand: 'Duis aute',
    size: 'M',
    color: 'Red',
    style: 'Formal',
    rating: 2, 
    id: '23',
    discount: 0.12 },

  { name: 'Quis nostrud exercitation', 
    description: `Curabitur feugiat erat sed mauris rhoncus scelerisque`,
    price: 34.99,
    brand: 'Duis aute',
    size: 'L',
    color: 'Blue',
    id: '24',
    style: 'Classic',
    rating: 3},
];

//calculate the discounted final price if the product has a discount
products.forEach(product => {
  product.finalPrice = product.discount ? (product.price - (product.price * product.discount)).toFixed(2) : product.price;
})
